Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.authorization
Class AuthorizationSecurityMgmtHelper

    java.lang.Object
      com.bea.p13n.security.management.authorization.AuthorizationSecurityMgmtHelper

    public class AuthorizationSecurityMgmtHelper

extends Object

Provides helper methods for accessing security management classes, especially those used to manage SSPI providers.

Constructor Summary
`AuthorizationSecurityMgmtHelper()`

Method Summary
`static AuthorizerDescription` | `findProviderByName(String aDisplayName)` Returns the configured SSPI authorizer with a matching display name.
`static AuthorizerDescription` | `findProviderByUniqueName(String aUniqueId)` Returns the configured SSPI authorization provider with a matching unique id which is the concatenation of display name and version number.
`static AuthorizerDescription` | `getDefaultProvider()` Finds and returns an AuthorizerDescription based on the first instance of a deployed AuthorizerMBean (or the first AuthorizerMBean, if none was found.)
`static List<AuthorizerDescription>` | `getProviders()` Returns the list of currently configured SSPI Authorization providers
`static String` | `getProviderUniqueName(String aDisplayName, String aVersion)` Returns unique id of the provider which is the concatenation of display name and version number.
`static boolean` | `isMultiAuthorizersMode()` Returns an indication of whether multiple authorization providers have been configured.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationSecurityMgmtHelper

    public AuthorizationSecurityMgmtHelper()

Method Detail

### getProviders

    public static List<AuthorizerDescription> getProviders()
                                                    throws ProviderMgmtException

  Returns the list of currently configured SSPI Authorization providers

  Returns
    List of AuthorizerDescription objects
  Throws
    `ProviderMgmtException`

### getDefaultProvider

    public static AuthorizerDescription getDefaultProvider()
                                                    throws ProviderMgmtException

  Finds and returns an AuthorizerDescription based on the first instance of a deployed AuthorizerMBean (or the first AuthorizerMBean, if none was found.)

  Returns
    default AuthorizerDescription
  Throws
    `ProviderMgmtException`

### findProviderByName

    public static AuthorizerDescription findProviderByName(String aDisplayName)
                                                    throws ProviderMgmtException

  Returns the configured SSPI authorizer with a matching display name.

  Parameters
    `aDisplayName` - The name entered at the WLS console when creating a new authorization provider.
  Returns
    AuthorizerDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### findProviderByUniqueName

    public static AuthorizerDescription findProviderByUniqueName(String aUniqueId)
                                                          throws ProviderMgmtException

  Returns the configured SSPI authorization provider with a matching unique id which is the concatenation of display name and version number.

  Parameters
    `aUniqueId` - Concatenation of display name and version number
  Returns
    AuthorizerDescription or null, if no matching provider found
  Throws
    `ProviderMgmtException`

### getProviderUniqueName

    public static String getProviderUniqueName(String aDisplayName,
                                               String aVersion)

  Returns unique id of the provider which is the concatenation of display name and version number.

  Parameters
    `aDisplayName` - The provider name
    `aVersion` - The provider version
  Returns
    unique id

### isMultiAuthorizersMode

    public static boolean isMultiAuthorizersMode()

  Returns an indication of whether multiple authorization providers have been configured.

  Returns
    True if more than one authorization provider is found, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved